Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
ef200334a97b187fced3029f431417a77ac469e2
[simgrid.git] / examples / java / basic / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 #########################
24 # How to compile the code
25 # All this to only get a dumb javac *java... Automake still have issues with java
26
27 # Makefile chunk which allows to display the files which should be included
28 # into the distribution.
29
30 # It is intended to be included in all Makefile.am 
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 target_triplet = @target@
50 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
51         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
52 subdir = examples/java/basic
53 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
55         $(top_srcdir)/acmacro/compiler-flags.m4 \
56         $(top_srcdir)/acmacro/context.m4 \
57         $(top_srcdir)/acmacro/fancy_configury.m4 \
58         $(top_srcdir)/acmacro/flex.m4 \
59         $(top_srcdir)/acmacro/gras_arch.m4 \
60         $(top_srcdir)/acmacro/print_null.m4 \
61         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63         $(ACLOCAL_M4)
64 mkinstalldirs = $(install_sh) -d
65 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
66 CONFIG_CLEAN_FILES =
67 SOURCES =
68 DIST_SOURCES =
69 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 ACLOCAL = @ACLOCAL@
72 ADDR2LINE = @ADDR2LINE@
73 AMTAR = @AMTAR@
74 AM_CPPFLAGS = @AM_CPPFLAGS@
75 AR = @AR@
76 AS = @AS@
77 AUTOCONF = @AUTOCONF@
78 AUTOHEADER = @AUTOHEADER@
79 AUTOMAKE = @AUTOMAKE@
80 AWK = @AWK@
81 BASH = @BASH@
82 CC = @CC@
83 CCDEPMODE = @CCDEPMODE@
84 CFLAGS = @CFLAGS@
85 CPP = @CPP@
86 CPPFLAGS = @CPPFLAGS@
87 CXX = @CXX@
88 CXXCPP = @CXXCPP@
89 CXXDEPMODE = @CXXDEPMODE@
90 CXXFLAGS = @CXXFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 DLLTOOL = @DLLTOOL@
95 DOXYGEN = @DOXYGEN@
96 ECHO = @ECHO@
97 ECHO_C = @ECHO_C@
98 ECHO_N = @ECHO_N@
99 ECHO_T = @ECHO_T@
100 EGREP = @EGREP@
101 EXEEXT = @EXEEXT@
102 FLEXML = @FLEXML@
103 GCJ = @GCJ@
104 GCJDEPMODE = @GCJDEPMODE@
105 GCJFLAGS = @GCJFLAGS@
106 GRAS_DEP = @GRAS_DEP@
107 GREP = @GREP@
108 INSTALL = @INSTALL@
109 INSTALL_DATA = @INSTALL_DATA@
110 INSTALL_PROGRAM = @INSTALL_PROGRAM@
111 INSTALL_SCRIPT = @INSTALL_SCRIPT@
112 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
113 JAR = @JAR@
114 JAVA = @JAVA@
115 JAVAC = @JAVAC@
116 LDFLAGS = @LDFLAGS@
117 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
118 LEX = @LEX@
119 LEXLIB = @LEXLIB@
120 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
121 LIBOBJS = @LIBOBJS@
122 LIBS = @LIBS@
123 LIBTOOL = @LIBTOOL@
124 LN_S = @LN_S@
125 LTLIBOBJS = @LTLIBOBJS@
126 MAINT = @MAINT@
127 MAKEINFO = @MAKEINFO@
128 MD5SUM = @MD5SUM@
129 MKDIR_P = @MKDIR_P@
130 OBJDUMP = @OBJDUMP@
131 OBJEXT = @OBJEXT@
132 PACKAGE = @PACKAGE@
133 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134 PACKAGE_NAME = @PACKAGE_NAME@
135 PACKAGE_STRING = @PACKAGE_STRING@
136 PACKAGE_TARNAME = @PACKAGE_TARNAME@
137 PACKAGE_VERSION = @PACKAGE_VERSION@
138 PATH_SEPARATOR = @PATH_SEPARATOR@
139 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
140 RANLIB = @RANLIB@
141 SET_MAKE = @SET_MAKE@
142 SHELL = @SHELL@
143 SIMGRID_DEP = @SIMGRID_DEP@
144 SMPI_DEP = @SMPI_DEP@
145 STRIP = @STRIP@
146 VERSION = @VERSION@
147 WARNING = @WARNING@
148 abs_builddir = @abs_builddir@
149 abs_srcdir = @abs_srcdir@
150 abs_top_builddir = @abs_top_builddir@
151 abs_top_srcdir = @abs_top_srcdir@
152 ac_configure_args = @ac_configure_args@
153 ac_ct_CC = @ac_ct_CC@
154 ac_ct_CXX = @ac_ct_CXX@
155 am__include = @am__include@
156 am__leading_dot = @am__leading_dot@
157 am__quote = @am__quote@
158 am__tar = @am__tar@
159 am__untar = @am__untar@
160 bindir = @bindir@
161 build = @build@
162 build_alias = @build_alias@
163 build_cpu = @build_cpu@
164 build_id = @build_id@
165 build_os = @build_os@
166 build_vendor = @build_vendor@
167 builddir = @builddir@
168 datadir = @datadir@
169 datarootdir = @datarootdir@
170 docdir = @docdir@
171 dvidir = @dvidir@
172 exec_prefix = @exec_prefix@
173 host = @host@
174 host_alias = @host_alias@
175 host_cpu = @host_cpu@
176 host_os = @host_os@
177 host_vendor = @host_vendor@
178 htmldir = @htmldir@
179 includedir = @includedir@
180 infodir = @infodir@
181 install_sh = @install_sh@
182 libdir = @libdir@
183 libexecdir = @libexecdir@
184 localedir = @localedir@
185 localstatedir = @localstatedir@
186 mandir = @mandir@
187 mkdir_p = @mkdir_p@
188 oldincludedir = @oldincludedir@
189 pdfdir = @pdfdir@
190 prefix = @prefix@
191 program_transform_name = @program_transform_name@
192 psdir = @psdir@
193 pth_skaddr_makecontext = @pth_skaddr_makecontext@
194 pth_sksize_makecontext = @pth_sksize_makecontext@
195 sbindir = @sbindir@
196 sharedstatedir = @sharedstatedir@
197 srcdir = @srcdir@
198 sysconfdir = @sysconfdir@
199 target = @target@
200 target_alias = @target_alias@
201 target_cpu = @target_cpu@
202 target_os = @target_os@
203 target_vendor = @target_vendor@
204 top_builddir = @top_builddir@
205 top_srcdir = @top_srcdir@
206 EXTRA_DIST = basic_deployment.xml basic_platform.xml $(JAVA_SRC)
207
208 # Declare sources:
209 JAVA_SRC = Master.java Forwarder.java Slave.java BasicTest.java BasicTask.java
210 JAVA_TESTS = BasicTest.class
211
212 # Declare test class
213 @HAVE_JAVA_TRUE@noinst_JAVA = $(JAVA_SRC)
214 @HAVE_JAVA_TRUE@TESTS = $(JAVA_TESTS)
215 JAVAROOT = .
216 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
217
218 ##########################
219 # What to do on make check
220 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
221 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
222 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
223 # We also need to express dependencies manually (in each test dir)
224 # Damn...
225 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
226                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
227                   $(srcdir)/../runtest 
228
229 all: all-am
230
231 .SUFFIXES:
232 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
233         @for dep in $?; do \
234           case '$(am__configure_deps)' in \
235             *$$dep*) \
236               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
237                 && exit 0; \
238               exit 1;; \
239           esac; \
240         done; \
241         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/basic/Makefile'; \
242         cd $(top_srcdir) && \
243           $(AUTOMAKE) --gnu  examples/java/basic/Makefile
244 .PRECIOUS: Makefile
245 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
246         @case '$?' in \
247           *config.status*) \
248             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
249           *) \
250             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
251             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
252         esac;
253
254 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
255         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
256
257 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
260         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
261
262 mostlyclean-libtool:
263         -rm -f *.lo
264
265 clean-libtool:
266         -rm -rf .libs _libs
267
268 classnoinst.stamp: $(noinst_JAVA)
269         @list1='$?'; list2=; if test -n "$$list1"; then \
270           for p in $$list1; do \
271             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
272             list2="$$list2 $$d$$p"; \
273           done; \
274           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
275           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
276         else :; fi
277         echo timestamp > classnoinst.stamp
278
279 clean-noinstJAVA:
280         -rm -f *.class classnoinst.stamp
281 tags: TAGS
282 TAGS:
283
284 ctags: CTAGS
285 CTAGS:
286
287
288 check-TESTS: $(TESTS)
289         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
290         srcdir=$(srcdir); export srcdir; \
291         list=' $(TESTS) '; \
292         if test -n "$$list"; then \
293           for tst in $$list; do \
294             if test -f ./$$tst; then dir=./; \
295             elif test -f $$tst; then dir=; \
296             else dir="$(srcdir)/"; fi; \
297             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
298               all=`expr $$all + 1`; \
299               case " $(XFAIL_TESTS) " in \
300               *$$ws$$tst$$ws*) \
301                 xpass=`expr $$xpass + 1`; \
302                 failed=`expr $$failed + 1`; \
303                 echo "XPASS: $$tst"; \
304               ;; \
305               *) \
306                 echo "PASS: $$tst"; \
307               ;; \
308               esac; \
309             elif test $$? -ne 77; then \
310               all=`expr $$all + 1`; \
311               case " $(XFAIL_TESTS) " in \
312               *$$ws$$tst$$ws*) \
313                 xfail=`expr $$xfail + 1`; \
314                 echo "XFAIL: $$tst"; \
315               ;; \
316               *) \
317                 failed=`expr $$failed + 1`; \
318                 echo "FAIL: $$tst"; \
319               ;; \
320               esac; \
321             else \
322               skip=`expr $$skip + 1`; \
323               echo "SKIP: $$tst"; \
324             fi; \
325           done; \
326           if test "$$failed" -eq 0; then \
327             if test "$$xfail" -eq 0; then \
328               banner="All $$all tests passed"; \
329             else \
330               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
331             fi; \
332           else \
333             if test "$$xpass" -eq 0; then \
334               banner="$$failed of $$all tests failed"; \
335             else \
336               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
337             fi; \
338           fi; \
339           dashes="$$banner"; \
340           skipped=""; \
341           if test "$$skip" -ne 0; then \
342             skipped="($$skip tests were not run)"; \
343             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
344               dashes="$$skipped"; \
345           fi; \
346           report=""; \
347           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
348             report="Please report to $(PACKAGE_BUGREPORT)"; \
349             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
350               dashes="$$report"; \
351           fi; \
352           dashes=`echo "$$dashes" | sed s/./=/g`; \
353           echo "$$dashes"; \
354           echo "$$banner"; \
355           test -z "$$skipped" || echo "$$skipped"; \
356           test -z "$$report" || echo "$$report"; \
357           echo "$$dashes"; \
358           test "$$failed" -eq 0; \
359         else :; fi
360
361 distdir: $(DISTFILES)
362         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
363         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
364         list='$(DISTFILES)'; \
365           dist_files=`for file in $$list; do echo $$file; done | \
366           sed -e "s|^$$srcdirstrip/||;t" \
367               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
368         case $$dist_files in \
369           */*) $(MKDIR_P) `echo "$$dist_files" | \
370                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
371                            sort -u` ;; \
372         esac; \
373         for file in $$dist_files; do \
374           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
375           if test -d $$d/$$file; then \
376             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
377             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
378               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
379             fi; \
380             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
381           else \
382             test -f $(distdir)/$$file \
383             || cp -p $$d/$$file $(distdir)/$$file \
384             || exit 1; \
385           fi; \
386         done
387 check-am: all-am
388         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
389 check: check-am
390 all-am: Makefile classnoinst.stamp
391 installdirs:
392 install: install-am
393 install-exec: install-exec-am
394 install-data: install-data-am
395 uninstall: uninstall-am
396
397 install-am: all-am
398         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
399
400 installcheck: installcheck-am
401 install-strip:
402         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
403           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
404           `test -z '$(STRIP)' || \
405             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
406 mostlyclean-generic:
407
408 clean-generic:
409
410 distclean-generic:
411         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
412
413 maintainer-clean-generic:
414         @echo "This command is intended for maintainers to use"
415         @echo "it deletes files that may require special tools to rebuild."
416 clean: clean-am
417
418 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
419
420 distclean: distclean-am
421         -rm -f Makefile
422 distclean-am: clean-am distclean-generic
423
424 dvi: dvi-am
425
426 dvi-am:
427
428 html: html-am
429
430 info: info-am
431
432 info-am:
433
434 install-data-am:
435
436 install-dvi: install-dvi-am
437
438 install-exec-am:
439
440 install-html: install-html-am
441
442 install-info: install-info-am
443
444 install-man:
445
446 install-pdf: install-pdf-am
447
448 install-ps: install-ps-am
449
450 installcheck-am:
451
452 maintainer-clean: maintainer-clean-am
453         -rm -f Makefile
454 maintainer-clean-am: distclean-am maintainer-clean-generic
455
456 mostlyclean: mostlyclean-am
457
458 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
459
460 pdf: pdf-am
461
462 pdf-am:
463
464 ps: ps-am
465
466 ps-am:
467
468 uninstall-am:
469
470 .MAKE: install-am install-strip
471
472 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
473         clean-libtool clean-noinstJAVA distclean distclean-generic \
474         distclean-libtool distdir dvi dvi-am html html-am info info-am \
475         install install-am install-data install-data-am install-dvi \
476         install-dvi-am install-exec install-exec-am install-html \
477         install-html-am install-info install-info-am install-man \
478         install-pdf install-pdf-am install-ps install-ps-am \
479         install-strip installcheck installcheck-am installdirs \
480         maintainer-clean maintainer-clean-generic mostlyclean \
481         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
482         uninstall uninstall-am
483
484
485 # declare that we must recompile everything before lauching tests
486 $(TESTS): classnoinst.stamp
487
488 dist-files:
489         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
490         @echo
491         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
492
493 # Cruft
494 # Tell versions [3.59,3.63) of GNU make to not export all variables.
495 # Otherwise a system limit (for SysV at least) may be exceeded.
496 .NOEXPORT: